petsc-3.4.2 2013-07-02

# SNESGetLineSearch

Returns a pointer to the line search context set with SNESSetLineSearch() or creates a default line search instance associated with the SNES and returns it.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetLineSearch(SNES snes, SNESLineSearch *linesearch)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

linesearch -linesearch context

### Keywords

SNES, get, linesearch

### See Also

SNESSetLineSearch()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex1f.F.html
src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex22f.F.html